@import '../../_mixins.scss';

.btn.square-btn {
  border-radius: 0;
  font-family: var(--font-first);
  font-weight: 500;
  font-size: var(--font-s);
  line-height: 1;
  font-style: normal;
  font-stretch: normal;
  letter-spacing: 0.6px;
  text-align: left;
  color: #000;
  padding: 8px 14px;
  text-align: center;
  outline: none;
  @include transitions(all .5s ease);
  @include text_one_line;

  &:hover,
  &:active,
  &:focus,
  &:focus:active,
  &:hover:active {
    outline: none;
    img {
      filter: invert(75%);
    }
  }

  &.btn-primary {
    min-width: 125px;
    background: var(--primary);
    border-color: var(--primary);
    color: var(--white-font);

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: var(--white-font);
      color: var(--primary);
      border-color: var(--primary);
      img {
        filter: invert(75%);
      }
    }
  }

  &.btn-default {
    background: var(--default);
    color: var(--grey-font);
    border: 1px solid  var(--grey-border);
    min-width: 125px;


    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      border: 1px solid  var(--primary);
      color: var(--primary);
    }
  }

  &.btn-link {
    background: var(--default);
    color: var(--primary);
    border: 1px solid  var(--primary);
    min-width: 125px;
    opacity: 1;

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      opacity: 0.75;
    }

    &:focus {
      box-shadow: 0px 0px 4px 4px var(--primary);
    }

  }

  &.btn-danger {
    background: var(--danger);
    color: #fff;
    border: 1px solid  #f30000;


    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: #fe0000;
      color: #fff;
      border: 1px solid  #f30000;
    }
  }

  &.btn-success {
    background: var(--success);
    color: #000000;
    border: 1px solid #00B125;


    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: #00B125;
      color: #fff;
      border: 1px solid #00B125;
    }
  }
}

.btn.delete-btn {
  @include circle_button(28px);
  background: url(/assets/icons/delete1.png) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  margin-left: 5px;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:active {
    background: url(/assets/icons/delete1.png) center no-repeat;
    background-size: 16px;
    background-color: red;
  }
}

.btn.docx_download-btn {
  @include circle_button(28px);
  background: url(/assets/icons/docx-file-format-symbol.svg) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  margin-left: 5px;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background-size: 16px;
    background-color: #616060;
  }
}
.btn.pdf_download-btn {
  @include circle_button(28px);
  background: url(/assets/icons/pdf-file-format-symbol.svg) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  margin-left: 5px;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background-size: 16px;
    background-color: #616060;
  }
}

.btn.pdf_preview-btn {
  @include circle_button(28px);
  background: url(/assets/icons/eye-open.svg) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  margin-left: 5px;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background-size: 16px;
    background-color: #616060;
  }
}
.btn.cloned-btn {
  @include circle_button(28px);
  background: url(/assets/icons/copy-document.svg) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  margin-left: 5px;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background-size: 16px;
    background-color: #616060;
  }
}
.btn.create-btn {
  @include circle_button(28px);
  background: url(/assets/icons/add.svg) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  margin-left: 5px;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background-size: 16px;
    background-color: #616060;
  }
}
.btn.attach-btn {
  background: url(/assets/attach.png) center no-repeat;
  background-color: #bebebe;
  border-color: #bebebe;
  position: relative;

  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background: url(/assets/attach.png) center no-repeat;
    background-color: #bebebe;
    border-color: #bebebe;
  }

  &:hover {
    background-color: #ddaa0c;
    border-color: #ddaa0c;
  }

  &.btn-warning,
  &.btn-warning:hover,
  &.btn-warning:focus,
  &.btn-warning:active:hover,
  &.btn-warning:active:focus,
  &.btn-warning:hover:focus {
    background-color: #ddaa0c;
    border-color: #ddaa0c;
  }

  .badge {
    position: absolute;
    top: -6px;
    right: -4px;
    color: white;
    background: black;
    height: 18px;
    width: 18px;
    border-radius: 50%;
    padding: 4px;
    font-size: 10px;
    font-family: var(--font-first);
  }
}

.btn.edit-btn {
  @include circle_button(28px);
  background: url(/assets/icons/edit.png) center no-repeat;
  background-size: 14px;
  background-color: #989797;
  margin-top: 0;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background: url(/assets/icons/edit.png) center no-repeat;
    background-size: 16px;
    background-color: #616060;
  }
}

.rounded-btn {
  border-radius: 18px;
  background-color: #b0b0b0;
  font-family: var(--font-first);
  font-size: var(--font-xs);
  font-weight: 600;
  font-style: normal;
  font-stretch: normal;
  line-height: 2.71;
  letter-spacing: 0;
  text-align: left;
  color: #ffffff;
  display: inline-block;
  padding: 0 14px;
  outline: none;
  cursor: pointer;
  transition: all .5s ease;
  -webkit-transition: all .5s ease;
  -moz-transition: all .5s ease;

  &:hover {
    background-color: #616060;
  }

  &.active {
    background-color: #616060;
  }
}

.btn.icon-btn {
  @include circle_button(28px);
  background-size: 14px !important;
  background-color: #989797 !important;
  margin-top: 0;
  img{
    width: 13px;
    margin-left: -5px;
    margin-bottom: 10px
  }
  &:hover,
  &:focus,
  &:active:hover,
  &:active:focus,
  &:hover:focus,
  &:active {
    background-size: 16px !important;
    background-color: #616060 !important;
  }
}